merge: additional test cases to show merge-halting behavior
ClosedPublic

Authored by ryanmce on Oct 5 2017, 5:16 AM.

Details

Summary

In the previous patches, we allowed the user to specify that
a merge process should be halted when a filemerge fails.

This patch adds tests that show additional places this logic
can be utilized -- via the options to do additional post-filemerge
checks to determine if a file merge was successful.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ryanmce created this revision.Oct 5 2017, 5:16 AM
mbthomas accepted this revision.Oct 6 2017, 5:22 AM
ryanmce updated this revision to Diff 2503.Oct 6 2017, 9:51 AM
quark set the repository for this revision to rHG Mercurial.Oct 7 2017, 1:14 PM

D953 is abandoned- should this be as well?

D953 is abandoned- should this be as well?

No, but it should probably be retitled. I'll do that now.

It turns out that the behavior did change, but only slightly, and not in a useful way, with the D953. This still adds useful tests that show that the other ways of saying a file merge process didn't go well also can halt the merge.

ryanmce retitled this revision from merge: additional test cases to show changing behavior to merge: additional test cases to show merge-halting behavior.Oct 17 2017, 6:17 AM
ryanmce edited the summary of this revision. (Show Details)
durin42 accepted this revision.Oct 18 2017, 4:09 PM
This revision is now accepted and ready to land.Oct 18 2017, 4:09 PM
This revision was automatically updated to reflect the committed changes.